BEEM - Android XMPP - Bug #192

Event listener dans BeemService et de XmppConnectionAdapter
09/11/2009 12:02 AM - Nikita Kozlov

Status:
Priority:
Assignee:
Category:
Target version:

Affected version:

Closed
Normal
Nikita Kozlov
XMPP

Version Forum EIP

Start date:
Due date:
% Done:

Estimated time:

Locale:

09/10/2009

100%
15.00 hours

Description

Modifier ces deux classes pour assurer une meilleur gestion des evennements de connection/deconnection.

Je vais surement commencer par deplacer pas mal de code entre leux deux, et recoder certaines petites parties.
Puis, un seul ConnectionListener global ou un par adapter pour gerer la connection ? Je vais voir ce qui est le plus "sexy" et

maintenable.

Related issues:

Related to Bug #191: AddContact - unbindservice ....

Closed 07/12/2009

History

#1 - 09/11/2009 12:03 AM - Nikita Kozlov

- Target version set to Version Forum EIP

#2 - 09/26/2009 01:13 PM - Nikita Kozlov

- % Done changed from 0 to 100

- Estimated time set to 15.00 h

Done.

#3 - 09/26/2009 01:13 PM - Nikita Kozlov

- Status changed from New to Feedback

#4 - 10/28/2009 07:49 PM - Frédéric Barthéléry

- Status changed from Feedback to Resolved

Ca a l'air bon avec le broadcast receiver

#5 - 11/04/2009 05:23 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed
